0

i facing a problem on installing pcsc-tools on opensuse (server mode), i have download the pcsc-tools from opensuse website flow by this link [https://software.opensuse.org/package/pcsc-tools][1].

unfortunately it need key for the rpm package installation.

Below is the step i try:

  1. Install openSUSE-Leap-15.0-NET-x86_64 in vmware virtual player.
  2. Hook the usb to the virtual player, and mount usb drive into opensuse.
  3. cd to the drive that mount at the folder and use rpm command -i or --force

it show the Header V3 DSA/SHA1 Signature, key ID 65176565:NOKEY

Is there any tar package suitable for opensuse, the major version opensuse-11 sp4 enterprise is the one which needed to be installed.

  • Have you tried to install it with zypper? I don't think the signature output is the error here. Trying to reproduce it I encounter missing dependencies. But installing with zypper works in my case, where I am presented with the additional packages to be installed: leap15:~ # zypper in /tmp/pcsc-tools-1.5.3-4.1.x86_64.rpm [...] The following 4 NEW packages are going to be installed: libpcsclite1 pcsc-lite pcsc-tools perl-pcsc [...] pcsc-lite – eblock Jan 23 at 8:40
  • @eblock i have try using zypper ar -f software.opensuse.org/package/pcsc-tools/rpm/pcsc-tools , i not sure how to install it after command above – Victor Jan 23 at 8:45
  • @eblock it works on my vmplayer, how to install zypper in suse11 sp4? – Victor Jan 23 at 8:53
  • That's not how it works. zypper ar just adds a repository, which in your case is the wrong repo url. If you need sle11sp4 it would look like this: zypper ar https://download.opensuse.org/repositories/security:/chipcard/SLE_11_SP4/ PCSC-Tools. Then you install with zypper install pcsc-tools. But you can also simply install the rpm you already downloaded with zypper in <path-to-rpm>. – eblock Jan 23 at 8:55
  • I don't understand your latest comment "it works on my vmplayer, how to install zypper in suse11 sp4?" Does that mean that your sles11sp4 doesn't have zypper installed? Which would be weird... Or how to install pcsc-tools on a sles11sp4 system? If the latter, then it's the same way as in a leap system using zypper. – eblock Jan 23 at 8:57

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.